
/*
 * 本时生活
 */

const app = getApp()


Page({

    /**
     * 页面的初始数据
     */
    data: {
        statusHeight : app.globalData.statusBarHeight,
        order        : ''   //订单详情
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad (options) {

        // 获取商品活动订单详情
        this.orderInfo(options.id);
    },

    /**
     * 商品活动订单详情
     */
    orderInfo(id) {
        wx.$api.index.ordersInfo(id).then(res=>{
            this.setData({
                order : res.data
            })
        })
    },

    /**
     * 取消订单
     */
    orderDelete(e) {
        let orderId = e.currentTarget.dataset.id
        wx.showModal({
            title   : '订单取消',
            content : '确认取消吗？',
            success : res=> {
                if (res.confirm) {
                    wx.$api.index.cance(orderId).then(res=>{
                        wx.showToast({
                            title: res.data,
                            icon : 'none'
                        })
                        setTimeout(()=>{
                            wx.reLaunch({
                                url: '/pages/activityOrder/activityOrder',
                            })
                        },2000)
                    }) 
                } else if (res.cancel) {
                    wx.showToast({
                        title   : '取消',
                        icon    : 'loading',
                        duration: 1000
                    })
                }
            }
        }) 
    },
    
    /**
     * 订单支付
     */
    orderPay(e) {
        let orderId = e.currentTarget.dataset.id
        
        wx.login({
            success: res=> {
                wx.$api.index.repay(orderId).then(res=>{
                    let payInfo = JSON.parse(res.data.json)
                    wx.requestPayment({
                        timeStamp: payInfo.timeStamp,
                        nonceStr : payInfo.nonceStr,
                        package  : payInfo.package,
                        paySign  : payInfo.paySign,
                        signType : payInfo.signType,
                        success  : res=>{
                            if(res.errMsg == "requestPayment:ok"){
                                wx.showToast({
                                    title: '支付成功',
                                    icon : 'success'
                                })
                                setTimeout(()=>{
                                    wx.reLaunch({
                                        url: '/pages/activityOrder/activityOrder',
                                    })
                                },2000)
                            }
                        },
                        fail  : res=>{
                            wx.reLaunch({
                                url: '/pages/activityOrder/activityOrder',
                            })
                        }
                    })
                })
            }
        })
    },

    /**
     * 返回上一页
     */
    orderRun() {
        wx.navigateBack({
            delta: 1
        })
    },

    /**
     * 复制快递单号
     */
    copyText (e) {
        let text = e.currentTarget.dataset.text
        wx.setClipboardData({
            data    : text,
            success : res=> {
                wx.getClipboardData({
                    success: res => {
                        wx.showToast({
                            title: '复制成功'
                        })
                    }
                })
            }
        })
    }
})